%define module Devel-LeakTrace
%define fmodule Devel/LeakTrace

Summary: Memory debugger for perl
Name:    perl-%module
Version: 0.05
Release: %mkrel 4
License: GPL or Artistic
Group:   Development/Perl
Source:  %module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-Module-Build
BuildRequires: glib-devel 
BuildRequires: perl-devel

%description
This module enables to find memory leaks in perl programs.

%prep
%setup -q -n %module-%version
perl Makefile.PL INSTALLDIRS=vendor
#./Build
%make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT
#./Build test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc Changes README 
%{_mandir}/*/*
%{perl_vendorarch}/%fmodule.pm
%{perl_vendorarch}/auto/%fmodule


%changelog
* Wed Nov 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-4mdk
- Fix BuildRequires

* Wed Nov 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-3mdk
- Fix BuildRequires
- %%mkrel

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.05-2mdk
- rebuild for new perl

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.05-1mdk
- initial release
